<?
/////////////////////////////////////////////////////
//  险情文章管理 1.0正式版本--php文本存储格式      //
//  作者：上海财经大学99国际工管    险情           //
//  email：indraw@sina.com                         //
//  qq：   30467826                                //
//  技术支持：http://shcj.51.net/wdb               //
//  最新演示：http://xqart.126.com                 //
//  2002/4/10                                      //
//  最新下载地址 http;//shcj.51.net/wdb            //
/////////////////////////////////////////////////////
require("config.php");
require("head.php");
require("xqfunc.php");
///////////////////////////格式化输入数据///////////////////////////////////
if (!ereg ("^[a-zA-Z]{1,20}$",$type) or !isset($type) or !isset($id) or !ereg ("^[0-9]{5,20}$",$id)) {
  $msg="没有此文章";
  $turn_page="index.php";
  head_form();
  error_0($msg,$turn_page);
  exit;
  }
//////////////////检查文章是否存在，并且读入数组////////////////////////////
if (!file_exists("data/$type/$id.num")) {
  $msg="没有此文章";
  head_form();
  error_0($msg,$turn_page);
  exit;
    }
   $show_file=file("data/$type/$id.num");
   $file_info=explode("|",$show_file[0]);
///////////////////通过$type查询文章所属分类//////////////////////////////
$type_file=file("data/xq.php");
$type_num=count($type_file)-1;
  for ($i=0;$i<=$type_num;$i++) {
  $type_info=explode("|",$type_file[$i]);
  if ($type==$type_info[1])  {
     $typename=$type_info[2];
      break;}
}
////////////////////将文章记数文件读入数组/////////////////////////////////
$num_time=date("m").date("d");
if ($num_time==$file_info[15]) {
$view_today=$file_info[15];
$view_today_num=$file_info[16]+1;}
else {
$view_today=$num_time;
$view_today_num="1";}
$view_total=$file_info[17]+1;
$fp=fopen("data/$type/$id.num","w");
flock($fp,3);
fwrite($fp,$file_info[0]."|".$file_info[1]."|".$file_info[2]."|".$file_info[3]."|".$file_info[4]."|".$file_info[5]."|".$file_info[6]."|".$file_info[7]."|".$file_info[8]."|".$file_info[9]."|".$file_info[10]."|".$file_info[11]."|".$file_info[12]."|".$file_info[13]."|".$file_info[14]."|".$view_today."|".$view_today_num."|".$view_total."|".$file_info[18]."|".$file_info[19]."|".$file_info[20]."|".$file_info[21]."|".$file_info[22]);
fclose($fp);
////////////////////以下为写入分类最热文章////////////////////////////////////
$file_typehot=file("data/$type.hot");
$file_typehot_count=count($file_typehot)-1;
$file_typehot_info=explode("|",$file_typehot[$file_typehot_count]);
if ($view_total>=$file_typehot_info[2]) {
for ($i=0;$i<=$file_typehot_count;$i++){
    $file_typehot_info=explode("|",$file_typehot[$i]);
    if ($file_typehot_info[0]==$id)
    continue;
    $rank_typearray[$file_typehot[$i]]=$file_typehot_info[2];
}
$file_typehot_show=$id."|".$type."|".$view_total."|"."\n";
$rank_typearray[$file_typehot_show]=$view_total;
arsort($rank_typearray);
reset($rank_typearray);
$fp=fopen("data/$type.hot","w");
flock($fp,3);
for ($counter=1; $counter<=$file_typehot_count+1; $counter++) {
    $keytype=key($rank_typearray);
    fwrite($fp,$keytype);
    if (!(next($rank_typearray))) break;
}
fclose($fp);
}
///////////////////////////
$file_hot=file("data/xq.hot");
$file_hot_count=count($file_hot)-1;
$file_hot_info=explode("|",$file_hot[$file_hot_count]);
if ($view_total>=$file_typehot_info[2]) {
for ($i=0;$i<=$file_hot_count;$i++){
    $file_hot_info=explode("|",$file_hot[$i]);
    if ($file_hot_info[0]==$id)
    continue;
    $rank_array[$file_hot[$i]]=$file_hot_info[2];
}
$file_hot_show=$id."|".$type."|".$view_total."|"."\n";
$rank_array[$file_hot_show]=$view_total;
arsort($rank_array);
reset($rank_array);
$fp=fopen("data/xq.hot","w");
flock($fp,3);
for ($counter=1; $counter<=$file_hot_count+1; $counter++) {
    $key=key($rank_array);
    fwrite($fp,$key);
    if (!(next($rank_array))) break;
}
fclose($fp);
}
/////
/////////////////////以数组格式获取文章////////////////////////////////////////////
        $file_txt=file("data/$type/$id.txt");
        $file_txt[0]=str_replace('&xqzpic','src="',$file_txt[0]);
        $file_txt[0]=str_replace('&xqypic','"',$file_txt[0]);
   if (empty($file_info[2]))
   $file_info[2]="未知";
   if (empty($file_info[3]))
   $file_info[4]="未知";
///////////////////////以下为文章输出页面//////////////////////////////////////////
if ($file_info[12]==0)
require("mode/article.php");
if ($file_info[12]==1)
require("mode/news.php");
if ($file_info[12]==2)
require("mode/myself.htm");
require("foot.php")
?>